none
グローバルアセンブリキャッシュが必要だと RRS feed

  • 質問

  • visual basic 2005 Express Editionでビルドの発行を行い、

    作成されたsetup.exeを使用し、他のクライアントPCで

    インストールをしたところ、「グローバルアセンブリキャッシュが必要・・・」

    とメッセージが表示されインストールが出来ませんでした。

    どなたか教えてください。

    2006年11月9日 0:21

回答

すべての返信

  • メッセージは正確にはどのようなものだったのでしょうか?

    それと、そのインストールできなかったPCには.NET Framework 2.0はインストールされていますか?

    2006年11月9日 1:39
  • どっとねっとふぁんさまへ

    インストールできなかったPCには.NET Framework 2.0はインストールされています。

    メッセージは正確には以下でした。

    システムの更新が必要

    このアプリケーションをインストールまたは実行できません。

    このアプリケーションでは、まずグローバルアセンブリキャッシュ(GAC)に

    アセンブリstdoleバージョン7.0.3300.0をインストールする必要があります。

    システム管理者に問い合わせてください。

     

    という内容です。よろしくお願いします。

    2006年11月9日 1:53
  • 管理者権限で実行していますか?
    2006年11月9日 2:01
  • 中博俊様

    administraters権限で実行しています。

    2006年11月9日 2:16
  • PIAがらみでしょうか?

    Stdole.dllをインストールする方法
    http://www.atmarkit.co.jp/bbs/phpBB/viewtopic.php?topic=21120&forum=7

    2006年11月9日 6:41
    モデレータ
  • trapemiya様

    私も、あれからネットで調べまして、

    同じく「Stdole.dllをインストールする方法」にたどり着きました。

    インストールしたいPCを確認したところ、Stdole.dllが存在しないことがわかり

    ダウンロードしまして、再度VBで作ったアプリケーションをインストールしたところ

    無事インストールができました。アプリケーションも正常に稼働しました。

    アドバイスをいただいた皆様、大変ありがとうございました。

    2006年11月9日 10:48